<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="content" class="site-main" role="main">
	<div class="container">
		
		<?php do_action( 'lz_toy_store_above_slider' ); ?>

		<?php if( get_theme_mod('lz_toy_store_slider_hide_show',false) != false){ ?>	
			<section id="slider" class="white-border1">
			  	<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
				    <?php $lz_toy_store_slider_pages = array();
				      	for ( $count = 1; $count <= 4; $count++ ) {
					        $mod = intval( get_theme_mod( 'lz_toy_store_slider' . $count ));
					        if ( 'page-none-selected' != $mod ) {
					          	$lz_toy_store_slider_pages[] = $mod;
					        }
				      	}
				      	if( !empty($lz_toy_store_slider_pages) ) :
				        $args = array(
				          	'post_type' => 'page',
				          	'post__in' => $lz_toy_store_slider_pages,
				          	'orderby' => 'post__in'
				        );
				        $query = new WP_Query( $args );
				        if ( $query->have_posts() ) :
				          	$i = 1;
				    ?>     
				    <div class="carousel-inner" role="listbox">
				      	<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
				        <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
				          	<a href="<?php echo esc_url( get_permalink() );?>">
				          		<?php if(has_post_thumbnail()) {?>
	            					<img src="<?php esc_url(the_post_thumbnail_url('full')); ?>" alt="<?php the_title_attribute(); ?> "/>
	            				<?php } else {?>
	            					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/slider.png" alt="<?php the_title_attribute(); ?> "/>
	            				<?php }?>
				          	</a>
				          	<div class="carousel-caption">
					            <div class="inner_carousel">
					              	<h1><a href="<?php echo esc_url( get_permalink() );?>"><?php the_title(); ?></a></h1>
					              	<?php 
                  						$lz_toy_store_slider_excerpt_length = get_theme_mod('lz_toy_store_slider_excerpt_length');
                
                  						if( $lz_toy_store_slider_excerpt_length != ''){?>
					              			<p><?php $lz_toy_store_excerpt = get_the_excerpt(); echo esc_html( lz_toy_store_string_limit_words( $lz_toy_store_excerpt, esc_attr(get_theme_mod('lz_toy_store_slider_excerpt_length','10') ) )); ?></p>	
					              	<?php } ?>
					            </div>
				          	</div>
				        </div>
				      	<?php $i++; endwhile; 
				      	wp_reset_postdata();?>
				    </div>
				    <?php else : ?>
				    <div class="no-postfound"></div>
				      <?php endif;
				    endif;?>
				    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
				      <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
				    </a>
				    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
				      <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
				    </a>
			  	</div>  
			  	<div class="clearfix"></div>
			</section>
		<?php }?>

		<?php do_action('lz_toy_store_below_slider'); ?>

		<?php /*--new-arrivals --*/?>
		<section id="new-arrivals" class="white-border">
			<?php $lz_toy_store_product_pages = array();
		      	$mod = absint( get_theme_mod( 'lz_toy_store_trending_products'));
		      	if ( 'page-none-selected' != $mod ) {
		        	$lz_toy_store_product_pages[] = $mod;	
		      	}
			    if( !empty($lz_toy_store_product_pages) ) :
			      $args = array(
			        'post_type' => 'page',
			        'post__in' => $lz_toy_store_product_pages,
			        'orderby' => 'post__in'
			      );
			      $query = new WP_Query( $args );
			      if ( $query->have_posts() ) :
			        $count = 0;
			        while ( $query->have_posts() ) : $query->the_post(); ?>
			          <div class="new-arrivals">
			            <strong><?php the_title(); ?></strong>
			            <p><?php the_content(); ?></p>
			            <div class="clearfix"></div>
			          </div>
			        <?php $count++; endwhile; ?>
			      <?php else : ?>
			          <div class="no-postfound"></div>
			      <?php endif;
			    endif;
			    wp_reset_postdata()
			?>
		</section>
		
		<?php do_action('lz_toy_store_below_new_arrivals_section'); ?>
	</div>

	<div class="container para-white lz-content">
	  	<?php while ( have_posts() ) : the_post(); ?>
	        <?php the_content(); ?>
	    <?php endwhile; // end of the loop. ?>
	</div>
</main>

<?php get_footer(); ?>